Subject: Re: [PATCH] tcp: make TCP quick ACK behavior modifiable

From: Hagen Paul Pfeifer <[email-masked]>
Date: Mon, 23 Aug 2010 23:51:15 +0200

* David Miller | 2010-08-23 14:21:14 [-0700]:

>> At least google inc is too busy to disable tcp quick ack's. And I
>> think they will save a lot of packets! Who make a bet? ;)
>
>I think assuming that turning off quick ACKs will be a net
>positive for google's traffic is a bit presumptuous, don't
>you?

bet? ;) The patch provides a switch to disable quick acks. If google or
someone else is using this switch or not is up to the audience! ;)

I don't know how many packets the current average HTTP session includes, but
assuming ~20 packets the saving of one packet is a benefit.